SDL_RumbleGamepadTriggers(3)

NAME
SDL_RumbleGamepadTriggers - Start a rumble effect in the gamepad's triggers.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_RumbleGamepadTriggers(SDL_Gamepad *gamepad, Uint16 left_rumble, Uint16 right_rumble, Uint32 duration_ms);

DESCRIPTION
Each call to this function cancels any previous trigger rumble effect, and calling it with 0 intensity stops any rumbling. Note that this is rumbling of the _triggers_ and not the gamepad as a whole. This is currently only supported on Xbox One gamepads. If you want the (more common) whole-gamepad rumble, use SDL_RumbleGamepad () instead. This function requires you to process SDL events or call SDL_UpdateJoysticks () to update rumble state.

FUNCTION PARAMETERS

gamepad
    The gamepad to vibrate

left_rumble
    The intensity of the left trigger rumble motor, from 0 to 0xFFFF

right_rumble
    The intensity of the right trigger rumble motor, from 0 to 0xFFFF

duration_ms
    The duration of the rumble effect, in milliseconds

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_RumbleGamepad(3)